### Method

# Gtk TreeViewColumnset_fixed_width

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_set_fixed_width (
      GtkTreeViewColumn* tree_column,
      int fixed_width
    )

#### Description [src]

If `fixed_width` is not -1, sets the fixed width of `tree_column`; otherwise unsets it. The effective value of `fixed_width` is clamped between the minimum and maximum width of the column; however, the value stored in the “fixed-width” property is not clamped. If the column sizing is `GTK_TREE_VIEW_COLUMN_GROW_ONLY` or `GTK_TREE_VIEW_COLUMN_AUTOSIZE`, setting a fixed width overrides the automatically calculated width. Note that `fixed_width` is only a hint to GTK; the width actually allocated to the column may be greater or less than requested.

Along with “expand”, the “fixed-width” property changes when the column is resized by the user.

Deprecated since: 4.10

Use GtkColumnView instead.

Sets property | `Gtk.TreeViewColumn:fixed-width`

#### Parameters

`fixed_width`

  Type: `int`

  The new fixed width, in pixels, or -1.